%define name perl-Qt
%define version 3.008
%define release 6mdk
%define origname PerlQt

Summary: 	Perl modules and utilities for using the Qt 3 Toolkit
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Perl
License: 	GPL
URL: 		http://perlqt.sourceforge.net/
Source:		%{origname}-%{version}.tar.bz2
Patch:		%name-doc.patch.bz2
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  qt3-devel
BuildRequires:	libkdec1-devel
BuildRequires:  kdelibs-devel
BuildRequires:  perl-devel
%define _requires_exceptions QtShell

%description
PerlQt is a comprehensive Perl Object Oriented interface
to the Qt GUI Toolkit. It also provides several introspection
tools (pqtapi, pqtsh). For a powerful PerlQt RAD tool, check
also the pqt-designer package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{origname}-%{version}

%patch -p0

%build

if [ -f configure.in ]; then mv -f configure.in configure.in.rpm; fi
%configure2_5x --disable-smoke
if [ -f configure.in.rpm ]; then mv -f configure.in.rpm configure.in; fi

%make

%install
%makeinstall_std INSTALLDIRS=vendor
rm -f $RPM_BUILD_ROOT{%_includedir/smoke.h,%_libdir/libsmokeqt.{la,so,*}}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO doc/
%_bindir/*
%_mandir/man1/*
%_mandir/man3/*
%{perl_vendorarch}/*

%changelog
* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.008-6mdk
- Rebuild for new perl
- Don't remove perllocal.pod, this is evil

* Tue Jun 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.008-5mdk
- fix buildrequires
- rebuild for new g++

* Fri Dec 12 2003 Jaco Greeff <jaco@mandrake.org> 3.008-4mdk
- Rebuilt
- Remove libsmokeqt require, picked-up by RPM now

* Mon Oct 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.008-3mdk
- make it installable and usable (fix requires)

* Wed Sep 24 2003 Olivier Blin <oliv.blin@laposte.net> 3.008-2mdk
- Initial Mandrake package (from Germain Garand)
- fix BuildRequires
- remove redundant Requires
- do not own dirs in %%files section

* Mon Sep 22 2003 Germain Garand <germain@ebooksfrance.org> 3.008-1mdk
- updated for 3.008 version. More Mdk standard compliancy.

* Sun Apr 7 2003 Germain Garand <germain@ebooksfrance.org> 3.006-3mdk
- Splitted PerlQt/Smoke in two packages

* Sun Feb 16 2003 Rob Kudla <rpm@kudla.org> 3.006-2mdk
- oops, forgot to force libsmoke build

* Thu Feb 13 2003 Rob Kudla <rpm@kudla.org> 3.006-1mdk
- new version again!

* Wed Feb 12 2003 Rob Kudla <rpm@kudla.org> 3.004-1mdk
- new version
- BuildRequires

* Sat Oct 26 2002 Rob Kudla <rpm@kudla.org> 3.002-2mdk
- made it install in vendorarch to fix "perl-base 5.800" thing

* Sun Oct 20 2002 Rob Kudla <rpm@kudla.org> 3.002-1mdk
- first attempt at package, still fails rpmlint
